> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/getting-started/software-clients.md).

# Software clients

Flow Retail currently offers three different clients, all optimized for specific use cases and users.

The clients can run on basically any device, from standard Windows computers, to Mac, to iPad tablets, to practically any mobile and handheld device, from specific Android-based handheld devices to the latest iPhones.

Learn more below about the various clients and which client should be used where.

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>The Client</strong></td><td>Selling, purchasing, order handling, reports, ++</td><td>Windows, Mac, iPad</td><td><a href="https://docs.flowretail.com/docs/getting-started/software-clients/client.md">Client</a></td></tr><tr><td><strong>Assistant</strong></td><td>Sell, receive products, stock taking, reports, ++</td><td>Android, iPhone</td><td><a href="https://docs.flowretail.com/docs/getting-started/software-clients/assistant.md">Assistant</a></td></tr><tr><td><strong>Admin</strong></td><td>Administration of the store, adding products, users, ++</td><td>Web browser (desktop)</td><td><a href="https://docs.flowretail.com/docs/getting-started/software-clients/admin.md">Admin</a></td></tr></tbody></table>

## Other clients

All the clients utilize the Flow Retail API, which is available for anyone, and so if someone would want to develop their own specific clients, then that is simply just a matter of creating an API key in getting started.

We are working on a Self-Service client, for stores which wants to offer its customers self-service (e.g checking out themselves).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/getting-started/software-clients.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
